// creator  : weidu.exe (version 23600)
// argument : X#ELLES.DLG
// game     : .
// source   : ./override/X#ELLES.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~X#ELLES~

IF ~  Global("X#FightTale","GLOBAL",8)
~ THEN BEGIN 0 // from:
  SAY #60069 /* ~*with a smile* I am afraid the rogue has you, my noble friend.~ */
  IF ~~ THEN EXTERN ~X#ELHAN~ 3
END

IF ~~ THEN BEGIN 1 // from: X#ELHAN:3.0
  SAY #60071 /* ~There is no need, General. These two are no threat to my peace.~ */
  IF ~~ THEN EXTERN ~X#ELHAN~ 4
END

IF ~~ THEN BEGIN 2 // from: X#ELHAN:4.0
  SAY #60073 /* ~As you have said, General, he was young, foolish and in love. The Tree has filled the carving with sap: golden for the runes and red for the heart around them. A rare maiden has a memento like that to show for her first love.~ */
  IF ~~ THEN EXTERN ~X#ELHAN~ 5
END

IF ~~ THEN BEGIN 3 // from: X#ELHAN:5.0
  SAY #60075 /* ~A spy, my dear General? For whom would he spy? Humans? He is an elf.~ */
  IF ~~ THEN EXTERN ~X#ELHAN~ 6
END

IF ~~ THEN BEGIN 4 // from: X#ELHAN:6.0
  SAY #60077 /* ~O, Elhan, a man you might be, but such a poor judge of a man's heart. Jonel - the Exile - will return soon, enlightened by his experiences in the world of mortal men and women. He will learn to appreciate the treasures which he had long taken for granted.~ */
  IF ~~ THEN GOTO 5
  IF ~  !Race(Player1,ELF)
~ THEN EXTERN ~X#ELHAN~ 8
  IF ~  Race(Player1,ELF)
~ THEN EXTERN ~X#ELHAN~ 7
END

IF ~~ THEN BEGIN 5 // from: X#ELHAN:8.0 X#ELHAN:7.0 4.0
  SAY #60080 /* ~They are lovers, Elhan, not assassins. And if your fears become reality and the Exiles are indeed hatching a plot against Suldanessellar, then I have you to guard the Queen's peace, do I not?~ */
  IF ~~ THEN EXTERN ~X#ELHAN~ 9
END

IF ~~ THEN BEGIN 6 // from: X#ELHAN:9.0
  SAY #60082 /* ~I know your loyalty, and I treasure it, noble warrior. But far be it from me to judge a man unworthy of mercy and redemption, and even farther, to become a prisoner in my own City. Go now, General; I do not wish for this argument to continue before a man and a woman who came to seek peace in my palace.~ */
  IF ~~ THEN EXTERN ~X#ELHAN~ 10
END

IF ~  Global("X#FightTale","GLOBAL",9)
~ THEN BEGIN 7 // from:
  SAY #60084 /* ~Walk with me, Coran and Lady...?~ */
  IF ~~ THEN EXTERN ~CORANJ~ 1559
END

IF ~~ THEN BEGIN 8 // from:
  SAY #60086 /* ~I am pleased to make your acquaintance, even if it has happened under such... peculiar circumstances. Coran Sullussaer, was it not?~ */
  IF ~~ THEN EXTERN ~CORANJ~ 1560
END

IF ~~ THEN BEGIN 9 // from:
  SAY #60088 /* ~Oh, it is quite memorable. *She gestures vaguely towards the Tree of Life's trunk*~ */
  IF ~~ THEN EXTERN ~CORANJ~ 1561
END

IF ~~ THEN BEGIN 10 // from:
  SAY #60090 /* ~Are you very much in love with your <CHARNAME> of Candlekeep, Coran Sullussaer?~ */
  IF ~~ THEN EXTERN ~CORANJ~ 1562
END

IF ~~ THEN BEGIN 11 // from:
  SAY #60092 /* ~Treasure your love, for nothing is more fragile or more precious. And to you, <CHARNAME> of Candlekeep, I say, 'You are blessed for you are loved.' I must leave you now - leisure time is not a luxury rulers enjoy often. Go cautiously, for I do not doubt that my loyal Elhan will not hesitate to lock you away for safekeeping until he is satisfied that you do not present a security risk. And, Coran?~ */
  IF ~~ THEN EXTERN ~CORANJ~ 1563
END

IF ~~ THEN BEGIN 12 // from:
  SAY #60094 /* ~*Laughs light-heartedly* Would that everyone were so amenable to reason. Fair winds, Coran and <CHARNAME>. Fair winds and bright stars. ~ */
  IF ~~ THEN DO ~SetGlobal("X#FightTale","GLOBAL",10)
ActionOverride("X#ELLES",EscapeArea())
ActionOverride("X#ELLES",DestroySelf())
ClearAllActions()
StartCutScene("X#CHALL6")
StartCutSceneMode()
~ EXIT
END
